Name:    blindscan
Version: 0.4
Release: 1%{?dist}
Summary: Neumo DVBS/S2/T/C STB program

License: GPLv2
URL: https://github.com/deeptho/blindscan
Source0: %{name}-%{version}.tar.gz
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  git clang cmake

Requires: git


BuildArch: x86_64



%description
Neumo DVBS/S2/T/C STB program

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX="/usr" ..
make -j8



%install
rm -rf $RPM_BUILD_ROOT
cd build
make -j8
make install VERBOSE=1 DESTDIR=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*



%files
%{_bindir}/neumo-blindscan
%{_bindir}/neumo-tune

%changelog
